Highlighted

iTunes Connect Submission - Dear guys! Any hints?

Explorer ,
Oct 27, 2016

Copy link to clipboard

Copied

Hi!

I'd like to submit Air23 app to iTunes Connect / AppStore. 

Any hints how to do that?  What should be corrected? IPA Repackaging? UIDevices proper types?  Additional icons? Plist to binary conversion?  Minimal IOS version?

Anybody had success story with that lately?

Best regards,

Piotr

TOPICS
Development

Views

284

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

iTunes Connect Submission - Dear guys! Any hints?

Explorer ,
Oct 27, 2016

Copy link to clipboard

Copied

Hi!

I'd like to submit Air23 app to iTunes Connect / AppStore. 

Any hints how to do that?  What should be corrected? IPA Repackaging? UIDevices proper types?  Additional icons? Plist to binary conversion?  Minimal IOS version?

Anybody had success story with that lately?

Best regards,

Piotr

TOPICS
Development

Views

285

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Oct 27, 2016 0
Adobe Community Professional ,
Oct 29, 2016

Copy link to clipboard

Copied

i submitted today with only irrelevant warnings using air 23.0.0.230

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 29, 2016 1
Advocate ,
Oct 30, 2016

Copy link to clipboard

Copied

Yes we also recently updated our apps with Air 23, the warning about UIDevices can be ignored, no other problems coming up. Good luck!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 1
Explorer ,
Oct 30, 2016

Copy link to clipboard

Copied

Thank you Kglad and Rewb0rn!

I've done repackaging to add additional icons, set IOS 10 as minimum and UIDevices as integers.  Also I added new permission warnings and flag that I don't use any encryption technology during using the application.

Compiled via AIR 23, IOS App Signer 1.8.3, Application Loader 3.0.

Added app without any warnings

Anybody wanted additional information feel free to contact me

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 0
Adobe Community Professional ,
Oct 30, 2016

Copy link to clipboard

Copied

What was the reason you set iOS 10 as the minimum?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 0
Explorer ,
Oct 30, 2016

Copy link to clipboard

Copied

I've found information that Apple accept IOS >=10 right now... I did not check it for sure, but right now I have also testing device compatible with 10.0 and 10.1 IOS'es... After all many Apple users doing updates regularly.

I have time critical marketing app for music festival.  Of course our client sent as all materials in the last moment.  We don't want to potentially prolong the "in review" stage.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 0
Explorer ,
Oct 30, 2016

Copy link to clipboard

Copied

In the last moment I had also little problem with status bar. I've read that problem is from IOS 7.  I assumed that devices with IOS8/9/10 have the same behavior so dont want to have a problems with <8 devices.  Also application use HD scaled view port.  Simplest application, less problems...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 0
Explorer ,
Oct 30, 2016

Copy link to clipboard

Copied

and last argument...

When you creating default application in Xcode 8.0 they chose 10.0 as minimum IOS version.  I've done simplest native app with the same domain name of application and done release build.  Then I've merged two plist's from Adobe package and Apple's Xcode package.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 0
Adobe Community Professional ,
Oct 30, 2016

Copy link to clipboard

Copied

There is a difference between what minimum SDK you're using, and what minimum iOS version you support. Apple keep on requiring that you use the latest SDK, but that doesn't mean ruling out older iOS versions.

Being on iOS 10 means you'll still get 60% of the iOS users, so I wouldn't worry too much about it.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 30, 2016 1